Bug 1417746 - [it][fr][es_ES][pt_BR] pofilter unchanged test fails for subscription-manager 1.18.X
Summary: [it][fr][es_ES][pt_BR] pofilter unchanged test fails for subscription-manager...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.9
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 21:01 UTC by John Sefler
Modified: 2017-03-21 10:58 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:58:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1391681 None None None Never
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Internal Links: 1391681

Description John Sefler 2017-01-30 21:01:50 UTC
Description of problem:
After the translation team worked on Bug 1391681, the following pofilter unchanged tests are failing...

Version-Release number of selected component (if applicable):
[root@jsefler-rhel6server ~]# rpm -q subscription-manager
subscription-manager-1.18.8-1.el6.x86_64
https://translate.zanata.org/iteration/view/subscription-manager/1.18.X

How reproducible:
always

We need the [it][fr][ja][es_ES][pt_BR] translators to review the msgid's for the following failed 'unchanged' tests and either update the translation or confirm that the translated msgstr will remain unchanged (equivalent) to the msgid.

Comment 1 John Sefler 2017-01-30 21:05:29 UTC
LANG [it] https://translate.zanata.org/webtrans/translate?project=subscription-manager&iteration=1.18.X&localeId=it&dswid=2232#view:doc;doc:keys

Failed result of pofiliter test 'unchanged' for translation: msgid='<b>_Select a common service level for this system's subscriptions:</b>' msgstr='<b>_Select a common service level for this system's subscriptions:</b>'
Failed result of pofiliter test 'unchanged' for translation: msgid='Activation _Key:' msgstr='Activation _Key:'
Failed result of pofiliter test 'unchanged' for translation: msgid='I will register _with:' msgstr='I will register _with:'
Failed result of pofiliter test 'unchanged' for translation: msgid='I will use an Activation _Key' msgstr='I will use an Activation _Key'
Failed result of pofiliter test 'unchanged' for translation: msgid='System _Name:' msgstr='System _Name:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Attach' msgstr='_Attach'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Default' msgstr='_Default'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Login:' msgstr='_Login:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Manually attach subscriptions after registration' msgstr='_Manually attach subscriptions after registration'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Next' msgstr='_Next'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Organization:' msgstr='_Organization:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Password:' msgstr='_Password:'

Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/it/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<12>

Comment 2 John Sefler 2017-01-30 21:06:43 UTC
LANG [fr] https://translate.zanata.org/webtrans/translate?project=subscription-manager&iteration=1.18.X&localeId=fr&locale=en-US&dswid=2232#view:doc;doc:keys

Failed result of pofiliter test 'unchanged' for translation: msgid='_Attach' msgstr='_Attach'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Default' msgstr='_Default'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Login:' msgstr='_Login:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Next' msgstr='_Next'

Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/fr/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<4>

Comment 3 John Sefler 2017-01-30 21:07:57 UTC
LANG [ja] https://translate.zanata.org/webtrans/translate?project=subscription-manager&iteration=1.18.X&localeId=ja&locale=en-US&dswid=2232#view:doc;doc:keys

Failed result of pofiliter test 'unchanged' for translation: msgid='Activation _Key:' msgstr='Activation _Key:'
Failed result of pofiliter test 'unchanged' for translation: msgid='System _Name:' msgstr='System _Name:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Attach' msgstr='_Attach'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Default' msgstr='_Default'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Login:' msgstr='_Login:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Next' msgstr='_Next'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Organization:' msgstr='_Organization:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Password:' msgstr='_Password:'

Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/ja/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<8>

Comment 4 John Sefler 2017-01-30 21:09:33 UTC
LANG [pt_BR] https://translate.zanata.org/webtrans/translate?project=subscription-manager&iteration=1.18.X&localeId=pt-BR&locale=en-US&dswid=2232#view:doc;doc:keys

Failed result of pofiliter test 'unchanged' for translation: msgid='_Login:' msgstr='_Login:'

Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<1>

Comment 7 John Sefler 2017-01-31 13:52:24 UTC
LANG [es_ES] https://translate.zanata.org/webtrans/translate?project=subscription-manager&iteration=1.18.X&localeId=es-ES&locale=en-US&dswid=3421#view:doc;doc:keys

Failed result of pofiliter test 'unchanged' for translation: msgid='Activation _Key:' msgstr='Activation _Key:'
Failed result of pofiliter test 'unchanged' for translation: msgid='System _Name:' msgstr='System _Name:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Attach' msgstr='_Attach'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Default' msgstr='_Default'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Login:' msgstr='_Login:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Next' msgstr='_Next'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Organization:' msgstr='_Organization:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Password:' msgstr='_Password:'

Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<8>

Comment 10 vritant 2017-02-01 10:44:14 UTC
I have hand picked the translations from previous translations. Here are the translations I have used:

Italian::::

msgid "<b>Select a common service level for this system's subscriptions:</b>"
msgstr ""
"<b>Selezionare un livello di servizio comune per le sottoscrizioni di questo "
"sistema:</b>"

msgid "Activation Key:"
msgstr "Chiave di attivazione:"

msgid "I will register with:"
msgstr "Eseguirò la registrazione con:"

msgid "I will use an Activation Key"
msgstr "Userò una chiave di attivazione"


msgid "System Name:"
msgstr "Nome del sistema:"

msgid "Attach"
msgstr "Associa"

msgid "Default"
msgstr "Predefinito"

msgid "Manually attach subscriptions after registration"
msgstr "Associare manualmente le sottoscrizioni dopo la registrazione"

msgid "Next"
msgstr "Successivo"


msgid "Organization"
msgstr "Organizzazione"



french::::
msgid "Attach"
msgstr "Attacher"


Japan::::
msgid "Activation Key:"
msgstr "アクティベーションキー:"

msgid "System Name:"
msgstr "システム名:"

msgid "Attach"
msgstr "割り当て"

msgid "Default"
msgstr "デフォルト"

msgid "Login:"
msgstr "ログイン:"

msgid "Next"
msgstr "次へ"

msgid "Organization"
msgstr "組織"

msgid "Password: "
msgstr "パスワード: "



related git commit:
https://github.com/candlepin/subscription-manager/commit/a5e23e7b0ac36afe17c95eff214ff4c74a7cb0fa

I am leaving the need info cause these translations need to be verified.

Some of the translations I have not changed, cause I did not find translations for them in the translation history.

Comment 12 John Sefler 2017-02-01 19:26:26 UTC
Re-testing Version...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager
subscription-manager-1.18.9-1.el6.x86_64


=====================================================
Italian [it]

Failed result of pofiliter test 'unchanged' for translation: msgid='_Login:' msgstr='_Login:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Password:' msgstr='_Password:'

Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/it/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<2>


=====================================================
French [fr]

Failed result of pofiliter test 'unchanged' for translation: msgid='_Default' msgstr='_Default'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Login:' msgstr='_Login:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Next' msgstr='_Next'

Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/fr/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<3>


=====================================================
Japanese [ja]

Actual value of '0' matches expected value: Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/ja/LC_MESSAGES/rhsm.mo'

VERIFIED! No more failing 'unchanged' tests


=====================================================
Spanish [es_ES]

Failed result of pofiliter test 'unchanged' for translation: msgid='Activation _Key:' msgstr='Activation _Key:'
Failed result of pofiliter test 'unchanged' for translation: msgid='System _Name:' msgstr='System _Name:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Attach' msgstr='_Attach'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Default' msgstr='_Default'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Login:' msgstr='_Login:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Next' msgstr='_Next'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Organization:' msgstr='_Organization:'
Failed result of pofiliter test 'unchanged' for translation: msgid='_Password:' msgstr='_Password:'

Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<8>


=====================================================
Portuguese [pt_BR]

Failed result of pofiliter test 'unchanged' for translation: msgid='_Login:' msgstr='_Login:'

Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<1>

Comment 14 croe@redhat.com 2017-02-01 22:27:57 UTC
I can confirm that your hand picked translations are correct fpr fr-FR 

french::::
msgid "Attach"
msgstr "Attacher"

Comment 15 Terry CHUANG 2017-02-02 01:04:24 UTC
Hi John,
I took a look at the bug yesterday, we no longer support it-IT, de-DE and pt-BR, now only support Japanese translation in-house, we can only help with critical requests for es-ES/fr-FR/ko-KR/zh-CN, I've arranged translator to fix the bug for ja-JP yesterday and it's been done, but for other langs we're not able to fix them right away.

Comment 16 Chris Snyder 2017-02-08 15:47:13 UTC
As shown in comment 12, there are still missing translations for the following langs: it-IT, es_ES, pt_BR, fr_FR making this still a valid bug.

As stated in comment 15 we will not get these translations for RHEL 6.9.

Moving the bug back to NEW until comment 12 can be fixed (needs a new build once new translations have been provided).

Comment 17 Ruediger Landmann 2017-02-09 04:29:06 UTC
(In reply to Chris Snyder from comment #16)
> As shown in comment 12, there are still missing translations for the
> following langs: it-IT, es_ES, pt_BR, fr_FR making this still a valid bug.
> 
> As stated in comment 15 we will not get these translations for RHEL 6.9.
> 
> Moving the bug back to NEW until comment 12 can be fixed (needs a new build
> once new translations have been provided).

Confirming that Localization Services will not be supplying these for RHEL 6.9 .

Rudi Landmann, 
Manager, Localization Services

Comment 20 John Sefler 2017-02-16 18:55:03 UTC
Verifying Version (after late translation fixes were supplied by comment 18)...
[root@jsefler-rhel6 ~]# rpm -q subscription-manager
subscription-manager-1.18.10-1.el6.x86_64

=====================================================
Italian [it]

201702161332:31.425 - INFO: Ignoring result of pofiliter test 'unchanged' for msgid: _Login: 
201702161332:31.426 - INFO: Ignoring result of pofiliter test 'unchanged' for msgid: _Password: 

201702161332:31.426 - INFO: Asserted: Actual value of '0' matches expected value: Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/it/LC_MESSAGES/rhsm.mo'.

VERIFIED: There are no longer any unexpected "unchanged" Italian translations.

=====================================================
French [fr]

201702161332:25.620 - INFO: Asserted: Actual value of '0' matches expected value: Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/fr/LC_MESSAGES/rhsm.mo'.

VERIFIED: There are no longer any unexpected "unchanged" French translations.

=====================================================
Japanese [ja]

201702161332:38.811 - INFO: Asserted: Actual value of '0' matches expected value: Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/ja/LC_MESSAGES/rhsm.mo'.


VERIFIED: There are no longer any unexpected "unchanged" Japanese translations.

=====================================================
Spanish [es_ES]

201702161332:28.311 - INFO: Ignoring result of pofiliter test 'unchanged' for msgid: _Login: 

201702161332:28.311 - INFO: Asserted: Actual value of '0' matches expected value: Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo'.

VERIFIED: There are no longer any unexpected "unchanged" Spanish translations.

=====================================================
Portuguese [pt_BR]

201702161332:16.022 - INFO: Ignoring result of pofiliter test 'unchanged' for msgid: _Login: 

201702161332:16.022 - INFO: Asserted: Actual value of '0' matches expected value: Discounting the ignored test results, the number of failed pofilter 'unchanged' tests for translation file '/usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo'.

VERIFIED: There are no longer any unexpected "unchanged" Portuguese translations.

Comment 23 errata-xmlrpc 2017-03-21 10:58:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.